<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" >
<components>
	<component>
		<name>org.richfaces.Column</name>
		<family>org.richfaces.Column</family>
		<classname>org.richfaces.component.html.HtmlColumn</classname>
		<superclass>org.richfaces.component.UIColumn</superclass>
		<description>
			<![CDATA[
    ]]>
		</description>
		<renderer generate="true" override="true">
			<name>org.richfaces.renderkit.CellRenderer</name>
			<classname>org.richfaces.renderkit.CellRenderer</classname>			
		</renderer>
		<tag>
			<name>column</name>
			<classname>org.richfaces.taglib.ColumnTag</classname>
			<superclass>
				org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
			</superclass>
			<test/>
		</tag>
		<!--
		<taghandler>
			<classname>org.ajax4jsf.tag.TestHandler</classname>
		</taghandler>
		-->
		&ui_component_attributes;
		&html_universal_attributes;
		<property disabled="true">
			<name>header</name>
		</property>
		<property disabled="true">
			<name>footer</name>
		</property>
		<property>
			<name>colspan</name>
			<classname>int</classname>
			<description>Corresponds to the HTML colspan attribute</description>
		</property>
		<property>
			<name>rowspan</name>
			<classname>int</classname>
			<description>Corresponds to the HTML rowspan attribute</description>
		</property>
		<property>
			<name>breakBefore</name>
			<classname>boolean</classname>
			<description>if "true" next column begins from the first row</description>
		</property>
		<property>
			<name>headerClass</name>
			<classname>java.lang.String</classname>
			<description>Space-separated list of CSS style class(es) that are be applied to any header generated for this table</description>
		</property>
		<property>
			<name>footerClass</name>
			<classname>java.lang.String</classname>
			<description>Space-separated list of CSS style class(es) that are be applied to any footer generated for this table</description>
		</property>
		<property>
			<name>width</name>
			<classname>java.lang.String</classname>
			<description>
			Attribute defines width of column. Default value is "100px".
			</description>
			<defaultvalue>"100px"</defaultvalue>
		</property>		
		
		<property>
			<name>sortable</name>
			<classname>boolean</classname>
			<description>Boolean attribute. If "true" it's possible to sort the column content after click on the header.
			Default value is "true"
			</description>
			<defaultvalue>true</defaultvalue>
		</property>		
		<property>
			<name>sortExpression</name>
			<classname>java.lang.String</classname>
			<description>Attribute defines a bean property which is used for sorting of a column</description>
		</property>		
		
		<!--
		<property>
			<name>param</name>
			<classname>java.lang.String</classname>
			<description>
			</description>
			<defaultvalue>"default"</defaultvalue>
		</property>
        -->
	</component>
</components>
